Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514483 - Entitlements are not being regenerated during refresh
Summary: Entitlements are not being regenerated during refresh
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Candlepin
Classification: Community
Component: candlepin
Version: 2.1
Hardware: All
OS: All
urgent
high
Target Milestone: ---
: 2.1
Assignee: vritant
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On: 1514484 1514472
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-17 14:25 UTC by Chris "Ceiu" Rog
Modified: 2017-12-07 20:00 UTC (History)
5 users (show)

Fixed In Version: candlepin-2.1.10-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1514472
Environment:
Last Closed: 2017-12-07 20:00:43 UTC


Attachments (Terms of Use)

Description Chris "Ceiu" Rog 2017-11-17 14:25:42 UTC
+++ This bug was initially created as a clone of Bug #1514472 +++

Description of problem:
When products or content are changed upstream for an existing subscription/pool, entitlements for that pool may not be properly flagged for regeneration during pool refresh.

Comment 1 Chris "Ceiu" Rog 2017-12-06 14:27:34 UTC
commit 3cf723825a2ed1c255b420f036c96fae4ff71d02
Author: Vritant Jain <adarshvritant@gmail.com>
Date:   Thu Nov 23 07:46:50 2017 -0500

    1514483: entitlements are regenerated on content change of provided products
    
    * a previous commit had changed subscription resolution to no longer resolve product or content,
      this change undoes that so we can test this.
    * added the spec test to test that refresh after content and product change does indeed regenerate ent


Note You need to log in before you can comment on or make changes to this bug.